<?PHP
/* Documentation for PHP-PDB library
 *
 * Copyright (C) 2001 - PHP-PDB development team
 * Licensed under the GNU LGPL software license.
 * See the doc/LEGAL file for more information
 * See http://php-pdb.sourceforge.net/ for more information about the library
 */

include("./functions.inc");

StandardHeader('Download PHP-PDB');

?>

<h3>Standard download</h3>

<p>Whenever the code feels mature enough for release, a new package is
created.  Feel free to download the latest version (in .zip, .tar.bz2, or
.tar.gz formats) from PHP-PDB's
<a href="http://sourceforge.net/project/showfiles.php?group_id=29740">
download page</a> on SourceForge.</p>

<h3>CVS version</h3>

<p>A true geek desires the latest additions, bugfixes, features, and
everything else before it is officially bundled up and released to the
public.  The CVS version is the 'live' copy of PHP-PDB.  If something minor
was changed or alpha support for a new format is added, it will show up
first in CVS.  After it hangs around a bit, the CVS version will be bundled
as a standard release.</p>

<p>If you are like me and you can't wait for all of the latest and greatest
coded goodness, you can fire up your CVS program with the
<a href="http://sourceforge.net/cvs/?group_id=29740">instructions</a> that
SourceForge provides.  (The module name is <tt>php-pdb</tt>.)</p>

<h3>Nightly tarballs</h3>

<p>Some systems don't use CVS.  Some don't like CVS.  If you are a user and
not a sysadmin, you might not have any access to CVS.  Don't worry one bit --
we've got you covered!  Every night, the CVS archive is updated.  This means
that you too can have the latest and greatest coded goodness in your machine.
Just download whatever format you want and you will be on your way to
PHP-PDB bliss.</p>

<ul>
<li><a href="http://php-pdb.sourceforge.net/php-pdb-cvs.tar.bz2">
php-pdb-cvs.tar.bz2</a></li>
<li><a href="http://php-pdb.sourceforge.net/php-pdb-cvs.tar.gz">
php-pdb-cvs.tar.gz</a></li>
<li><a href="http://php-pdb.sourceforge.net/php-pdb-cvs.zip">
php-pdb-cvs.zip</a></li>
</ul>

<h3>Other downloads</h3>

<p>Christoph Barth has created a patch for <a
href="http://www.moregroupware.org/">moregroupware</a> to allow exporting
your calendar to a Palm.<br>
[ <a href="tools/mgw_palm_pdb_patch.tar.gz">patch</a> | 
<a href="tools/mgw_palm_pdb_patch.txt">readme</a> ]</p>

<p>A simple address book editor, named Spade, was created by roman.  It is
just beginning, but looks like it has enough potential, especially if you
use coldsync or something else to synchronize databases.<br>
[ <a href="samples/spade.php">download/readme/demo</a> ]</p>


<h3>Old versions</h3>

<p>If you have CVS, you can get old versions.  Just read the CVS man page or
documentation.  If you don't, or if you just want official releases, I have
a few of the older versions available for download from SourceForge.  Just 
head on over to the 
<a href="http://sourceforge.net/project/showfiles.php?group_id=29740">
download page</a> and pick whatever ancient version you want.  If you want
ones that are even older, just let me know and I'll give you packages back
to the beginning of time.</p>

<?PHP

StandardFooter();

?>
