<?php
include_once('includes/php-pdb/php-pdb.inc');
include_once('includes/php-pdb/modules/addrbook.inc');

$inFile = 'AddressDB.pdb';
$outFile = 'gmailimport.csv';
?>
<!DOCTYPE html>
<html>
  <head>
  
  </head>
  <body>
    <h1>PDB Conversion to Google CSV</h1>
    <p>Converts AddressDB.pdb to csv file, suitable for import into Gmail.</p>
    <form>
      <input type="submit" name="submit" Value="Submit" />
    </form>
<?php 
if (isset($_REQUEST['submit'])) {
  // How to read a database
  $addr = new PalmAddress();
  $fp = fopen($inFile, 'r');
  $addr->ReadFile($fp);
  fclose($fp);
  
  $aLabels = array(
    0 => 'Work',
    1 => 'Home',
    2 => 'Fax',
    3 => 'Other',
    4 => 'Email',
    5 => 'Main',
    6 => 'Pager',
    7 => 'Mobile'
  );

  /*
  echo "Name: $addr->Name<br>\n";
  echo "Type: $addr->TypeID<br>";
  echo "Creator: $addr->CreatorID<br>\n";
  echo "Attributes: $addr->Attributes<br>\n";
  echo "Version: $addr->Version<br>\n";
  echo "ModNum: $addr->ModNumber<br>\n";
  echo "CreationTime: $addr->CreationTime<br>\n";
  echo "ModTime: $addr->ModificationTime<br>\n";
  echo "BackTime: $addr->BackupTime<br>\n";
  */
  echo "NumRec: ".$addr->GetRecordCount()."<br><br>\n";
  $recids = $addr->GetRecordIDs();
  $cats = $addr->GetCategoryList();
  $fp = fopen($outFile, 'w');
  fwrite($fp, '"Name","Given Name","Family Name","Notes","Group Membership","E-mail 1 - Type","E-mail 1 - Value",'
    . '"Phone 1 - Type","Phone 1 - Value","Phone 2 - Type","Phone 2 - Value","Phone 3 - Type","Phone 3 - Value","Phone 4 - Type","Phone 4 - Value",'
    . '"Address 1 - Type","Address 1 - Street","Address 1 - City","Address 1 - Region","Address 1 - Postal Code","Address 1 - Country"' . "\n");                                           
  foreach ($recids as $ID) {
    $record = $addr->GetRecordRaw($ID);
    echo "Record $ID:<BR>";
    $attrib = $addr->GetRecordAttrib($ID);
    $cat = $cats[$attrib & PDB_CATEGORY_MASK]['Name'];
    echo "- Category number: " . ($attrib & PDB_CATEGORY_MASK) . " = " .
      $cats[$attrib & PDB_CATEGORY_MASK]['Name'] . "<br>\n";
    echo "- Private: " .
      (($attrib & PDB_RECORD_ATTRIB_PRIVATE) ? "Yes" : "No") ."<br>\n";
    echo " Fields:<br>\n";
    foreach ($record as $reck => $rec) {
      echo "-- $reck => $rec<br>\n";
      $record[$reck] = str_replace("\n", ' ', $record[$reck]);
    }
    if (!empty($record['Title']) || !empty($record['Company'])) {
      $notes = "Title: {$record['Title']}
Company: {$record['Company']}\n";
    } else {
      $notes = '';
    }
    $aPhone = array();
    getPhone(1);    // home
    getPhone(0);    // work
    getPhone(2);    // fax
    getPhone(7);    // mobile
    getPhone(4);    // email
    
    dowrite($record['FirstName'] . ' ' . $record['LastName']);
    dowrite($record['FirstName']);
    dowrite($record['LastName']);
    $notes .= $record['Note'];
    dowrite($notes);                    // notes
    dowrite($cat);                      // group memebership
    dowrite('');                        // Email 1 - Type
    dowrite($aPhone[4]);                // Email 1 - Value
    dowrite("Home");                    // Phone 1 - Type
    dowrite($aPhone[1]);                // Phone 1 - Value
    // work
    if (!empty($aPhone[2])) {
      dowrite('Work');
      dowrite($aPhone[0]);
    } else {
      dowrite('');
      dowrite('');
    }
    // fax
    if (!empty($aPhone[2])) {
      dowrite('Fax');
      dowrite($aPhone[2]);
    } else {
      dowrite('');
      dowrite('');
    }
    // mobile
    if (!empty($aPhone[7])) {
      dowrite('Mobile');
      dowrite($aPhone[7]);
    } else {
      dowrite('');
      dowrite('');
    }
    dowrite('');                        // Address 1 - Type
    dowrite($record['Address']);        // Address 1 - Street
    dowrite($record['City']);
    dowrite($record['State']);
    dowrite($record['ZipCode']);
    dowrite($record['Country'], true);
  }
  
  echo "Field Labels<br>";
  $labels = $addr->GetFieldLabels();
  foreach ($labels as $k => $v) {
    echo "$k = $v<br>";
  }  
} 

function dowrite($el, $end=false) {
  global $fp;
  
  $el = trim($el);
  if (!empty($el)) {
    $el = '"' . $el . '"';
  }
  if ($end) {
    $el .= "\n";
  } else {
    $el .= ',';
  }
  fwrite($fp, $el);
}

// fetches first instance of PhoneType, if available and not empty
function getPhone($ndx) {
  global $aPhone, $aLabels, $record, $notes;
  
  $bDone = false;
  for ($i = 1; $i < 5; ++$i) {
    if ($record["Phone{$i}Type"] == $ndx && $record["Phone{$i}"]) {
      if (!$bDone) {
        $aPhone[$ndx] = $record["Phone{$i}"];
        $bDone = true;
      } else {
        $notes .= "--//--{$aLabels[$ndx]}: {$record["Phone{$i}"]}";
      }
    }
  }
  if (!isset($aPhone[$ndx])) {
    $aPhone[$ndx] = '';
  }
}

?>
  </body>
</html>
